Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto.params
Class ElGamalKeyGenerationParameters

    java.lang.Object
      org.bouncycastle.crypto.KeyGenerationParameters
          org.bouncycastle.crypto.params.ElGamalKeyGenerationParameters

    public class ElGamalKeyGenerationParameters

extends KeyGenerationParameters

Constructor Summary
`ElGamalKeyGenerationParameters(java.security.SecureRandom random, ElGamalParameters params)`

Method Summary
`ElGamalParameters` `getParameters()`

Methods inherited from class org.bouncycastle.crypto.KeyGenerationParameters
`getRandom, getStrength`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElGamalKeyGenerationParameters

    public ElGamalKeyGenerationParameters(java.security.SecureRandom random,
                                          ElGamalParameters params)

Method Detail

### getParameters

    public ElGamalParameters getParameters()

Bouncy Castle Cryptography Library 1.45